Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf
Class BusException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cxf.common.i18n.Exception
                  org.apache.cxf.BusException

All Implemented Interfaces:
  java.io.Serializable

    public class BusException

extends org.apache.cxf.common.i18n.Exception

The BusException class is used to indicate a bus exception has occured.

See Also:
  Serialized Form

Constructor Summary
`BusException(org.apache.cxf.common.i18n.Message msg)` Constructs a `BusException` with the provided detail message.
`BusException(org.apache.cxf.common.i18n.Message msg, java.lang.Throwable cause)` Constructs a `BusException` with the detail message and cause provided.
`BusException(java.lang.Throwable cause)` Constructs a `BusException` with the provided cause.

Method Summary

Methods inherited from class org.apache.cxf.common.i18n.Exception
`getCode, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BusException

    public BusException(org.apache.cxf.common.i18n.Message msg)

  Constructs a `BusException` with the provided detail message.

### BusException

    public BusException(org.apache.cxf.common.i18n.Message msg,
                        java.lang.Throwable cause)

  Constructs a `BusException` with the detail message and cause provided.

### BusException

    public BusException(java.lang.Throwable cause)

  Constructs a `BusException` with the provided cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.